{
	"name": "form/manager/erp-sync/columns/product.json",
	"options": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && x != ncRecData(data.link_rec, colDef.field)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status === 'changed'",
				"nc-grid-row-deleted": "data.change_status === 'deleted'",
				"nc-grid-row-equal": "data.change_status === 'equal'",
				"nc-grid-row-new": "data.change_status === 'new'"
			}
		}
	},
	"columns": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "pr.product_id",
			"name": "Row",
			"record_type": "product",
			"variable": "id",
			"width": 45
		},
		{
			"name": "Status",
			"variable": "change_status",
			"width": 50
		},
		{
			"import": false,
			"change_compare": false,
			"field": "pr.product_group",
			"name": "Category",
			"width": 60
		},
		{
			"field": "pr.product_id",
			"name": "Erp id",
			"width": 110
		},
		{
			"field": "pr.json_data.project_id",
			"name": "Moloni id",
			"width": 50
		},
		{
			"import": false,
			"field": "pr.name",
			"name": "Name",
			"width": 220
		},
		{
			"import": false,
			"field": "pr.sales_price",
			"format": "%'.2f",
			"name": "Price",
			"width": 70
		},
		{
			"import": false,
			"change_compare": false,
			"field": "pr.stock_balance",
			"name": "Stock",
			"width": 60
		},
		{
			"change_compare": false,
			"import": false,
			"field": "pr.info",
			"name": "Info",
			"width": 250
		},
		{
			"change_compare": false,
			"export": false,
			"field": "pr.record_id",
			"hide": true,
			"name": "Record id",
			"width": 110
		}
	],
	"columns-not-in-use": [
		{
			"import": false,
			"field": "pr.json_data.net_weight",
			"format": "%'.2f",
			"name": "Weight",
			"width": 60
		},
		{
			"field": "pr.product_type",
			"default_value": {
				"static": {
					"product_type": 1
				}
			},
			"name": "Product type",
			"width": 80
		},
		{
			"field": "pr.sales_order_code_id",
			"name": "Sales code",
			"width": 70
		},
		{
			"field": "pr.json_data.price_change_date",
			"name": "Price change",
			"width": 90
		}
	]
}
